## org.apache.lucene.codecs
Class BlockTreeTermsReader.FieldReader

    java.lang.Object
      org.apache.lucene.index.Terms
          org.apache.lucene.codecs.BlockTreeTermsReader.FieldReader

Enclosing class:
  BlockTreeTermsReader

    public final class BlockTreeTermsReader.FieldReader

extends Terms

BlockTree's implementation of `Terms`.

Field Summary

Fields inherited from class org.apache.lucene.index.Terms
`EMPTY_ARRAY`

Method Summary
`BlockTreeTermsReader.Stats` `computeStats()` For debugging -- used by CheckIndex too
`Comparator<BytesRef>` `getComparator()` Return the BytesRef Comparator used to sort terms provided by the iterator.
`int` `getDocCount()` Returns the number of documents that have at least one term for this field, or -1 if this measure isn't stored by the codec.
`long` `getSumDocFreq()` Returns the sum of `TermsEnum.docFreq()` for all terms in this field, or -1 if this measure isn't stored by the codec.
`long` `getSumTotalTermFreq()` Returns the sum of `TermsEnum.totalTermFreq()` for all terms in this field, or -1 if this measure isn't stored by the codec (or if this fields omits term freq and positions).
`boolean` `hasOffsets()` Returns true if documents in this field store offsets.
`boolean` `hasPayloads()` Returns true if documents in this field store payloads.
`boolean` `hasPositions()` Returns true if documents in this field store positions.
`TermsEnum` `intersect(CompiledAutomaton compiled, BytesRef startTerm)` Returns a TermsEnum that iterates over all terms that are accepted by the provided `CompiledAutomaton`.
`TermsEnum` `iterator(TermsEnum reuse)` Returns an iterator that will step through all terms.
`long` `size()` Returns the number of terms for this field, or -1 if this measure isn't stored by the codec.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### computeStats

    public BlockTreeTermsReader.Stats computeStats()
                                            throws IOException

  For debugging -- used by CheckIndex too

  Throws:
    `IOException`

### getComparator

    public Comparator<BytesRef> getComparator()

  Description copied from class: `Terms`
  Return the BytesRef Comparator used to sort terms provided by the iterator. This method may return null if there are no terms. This method may be invoked many times; it's best to cache a single instance & reuse it.

  Specified by:
    `getComparator` in class `Terms`

### hasOffsets

    public boolean hasOffsets()

  Description copied from class: `Terms`
  Returns true if documents in this field store offsets.

  Specified by:
    `hasOffsets` in class `Terms`

### hasPositions

    public boolean hasPositions()

  Description copied from class: `Terms`
  Returns true if documents in this field store positions.

  Specified by:
    `hasPositions` in class `Terms`

### hasPayloads

    public boolean hasPayloads()

  Description copied from class: `Terms`
  Returns true if documents in this field store payloads.

  Specified by:
    `hasPayloads` in class `Terms`

### iterator

    public TermsEnum iterator(TermsEnum reuse)
                       throws IOException

  Description copied from class: `Terms`
  Returns an iterator that will step through all terms. This method will not return null. If you have a previous TermsEnum, for example from a different field, you can pass it for possible reuse if the implementation can do so.

  Specified by:
    `iterator` in class `Terms`
  Throws:
    `IOException`

### size

    public long size()

  Description copied from class: `Terms`
  Returns the number of terms for this field, or -1 if this measure isn't stored by the codec. Note that, just like other term measures, this measure does not take deleted documents into account.

  Specified by:
    `size` in class `Terms`

### getSumTotalTermFreq

    public long getSumTotalTermFreq()

  Description copied from class: `Terms`
  Returns the sum of `TermsEnum.totalTermFreq()` for all terms in this field, or -1 if this measure isn't stored by the codec (or if this fields omits term freq and positions). Note that, just like other term measures, this measure does not take deleted documents into account.

  Specified by:
    `getSumTotalTermFreq` in class `Terms`

### getSumDocFreq

    public long getSumDocFreq()

  Description copied from class: `Terms`
  Returns the sum of `TermsEnum.docFreq()` for all terms in this field, or -1 if this measure isn't stored by the codec. Note that, just like other term measures, this measure does not take deleted documents into account.

  Specified by:
    `getSumDocFreq` in class `Terms`

### getDocCount

    public int getDocCount()

  Description copied from class: `Terms`
  Returns the number of documents that have at least one term for this field, or -1 if this measure isn't stored by the codec. Note that, just like other term measures, this measure does not take deleted documents into account.

  Specified by:
    `getDocCount` in class `Terms`

### intersect

    public TermsEnum intersect(CompiledAutomaton compiled,
                               BytesRef startTerm)
                        throws IOException

  Description copied from class: `Terms`
  Returns a TermsEnum that iterates over all terms that are accepted by the provided `CompiledAutomaton`. If the `startTerm` is provided then the returned enum will only accept terms > `startTerm`, but you still must call next() first to get to the first term. Note that the provided `startTerm` must be accepted by the automaton.

  NOTE: the returned TermsEnum cannot seek

  .

  Overrides:
    `intersect` in class `Terms`
  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.